Summary:	Python bindings for GNOME 3's nautilus
Summary(pl.UTF-8):	Wiązania Pythona dla nautilusa z GNOME 3
Name:		nautilus-python
Version:	1.2.3
Release:	1
License:	GPL v2+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/nautilus-python/1.2/%{name}-%{version}.tar.xz
# Source0-md5:	adb0886ef62df810ba31c9dbd7e821c0
URL:		http://www.gnome.org/
BuildRequires:	gtk-doc >= 1.14
BuildRequires:	libxslt-progs
BuildRequires:	nautilus-devel >= 3.0.0
BuildRequires:	pkgconfig
BuildRequires:	python-devel >= 1:2
BuildRequires:	python-pygobject3-devel >= 3.0.0
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	nautilus >= 3.0.0
Requires:	python-pygobject3 >= 3.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
These are unstable bindings for the nautilus extension library
introduced in GNOME 2.6.

%description -l pl.UTF-8
Ten pakiet zawiera niestabilne wiązania dla biblioteki rozszerzeń
nautilusa wprowadzonej w GNOME 2.6.

%package devel
Summary:	Development files for Python Nautilus extensions
Summary(pl.UTF-8):	Pliki programistyczne dla pythonowych rozszerzeń Nautilusa
Group:		Development/Libraries
# doesn't require base; the only file is pkg-config specific, so let's require it
Requires:	pkgconfig

%description devel
Development files for Nautilus extensions written in Python.

%description devel -l pl.UTF-8
Pliki programistyczne dla rozszerzeń zarządcy plików Nautilus pisanych
w Pythonie.

%package apidocs
Summary:	Python Nautilus API documentation
Summary(pl.UTF-8):	Dokumentacja API Pythona dla rozszerzeń Nautilusa
Group:		Documentation
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
Python Nautilus API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API Pythona dla rozszerzeń zarządcy plików Nautilus.

%package examples
Summary:	Example Python extensions for Nautilus file manager
Summary(pl.UTF-8):	Przykładowe pythonowe rozszerzenia dla zarządcy plików Nautilus
Group:		Libraries/Python

%description examples
Example Python extensions for Nautilus file manager.

%description examples -l pl.UTF-8
Przykładowe rozszerzenia dla zarządcy plików Nautilus napisane w
Pythonie.

%prep
%setup -q

%build
%configure \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/nautilus-python/extensions \
	$RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version} \
	$RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-3.0/python

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	HTMLdir=%{_gtkdocdir}/nautilus-python

%{__rm} $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-3.0/*.la

# move examples
%{__mv} $RPM_BUILD_ROOT%{_docdir}/nautilus-python/README $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
%{__mv} $RPM_BUILD_ROOT%{_docdir}/nautilus-python/examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
# reference docs source
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/nautilus-python/reference

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/nautilus/extensions-3.0/libnautilus-python.so
%dir %{_libdir}/nautilus/extensions-3.0/python
%dir %{_datadir}/nautilus-python
%dir %{_datadir}/nautilus-python/extensions

%files devel
%defattr(644,root,root,755)
%{_pkgconfigdir}/nautilus-python.pc

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/nautilus-python

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}
%changelog
* Thu Jul 25 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nautilus-python.git;a=log;h=master

* Thu Jul 25 2019 Jakub Bogusz <qboosh@pld-linux.org> f766dc3
- updated to 1.2.3

* Fri Apr 29 2016 Elan Ruusamäe <glen@delfi.ee> 93550f8
- noarch apidocs

* Sun Dec 07 2014 Jan Rękorajski <baggins@pld-linux.org> 256c7e2
- libffi rebuild
- release 10 (by relup.sh)

* Mon Aug 25 2014 Jan Rękorajski <baggins@pld-linux.org> 93e206d
- provide dir for python-based extensions
- rel 9

* Mon Jan 06 2014 Jakub Bogusz <qboosh@pld-linux.org> 3a9c872
- separated -devel, as base isn't required for development
- package apidocs

* Sun Nov 03 2013 Jan Rękorajski <baggins@pld-linux.org> 6191efb
- release 8 (by relup.sh)

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 2ff4ed9
- release 7 (by relup.sh)

* Sun Nov 11 2012 Jan Rękorajski <baggins@pld-linux.org> 2f705fe
- rebuild with expat 2.1.0
- release 6 (by relup.sh)

* Fri Aug 10 2012 Elan Ruusamäe <glen@delfi.ee> 9bf86e3
- Revert "- unpackage devel to base"

* Wed Mar 28 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 19ab24d
- release 5

* Tue Feb 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 25e166b
- release 4

* Tue Dec 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> feea223
- release 3

* Fri May 20 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 20d7062
- revised deps
- added missing dir
- release 2

* Thu Apr 21 2011 lisu <lisu@pld-linux.org> 4bd7b1a
- updated to 1.0
- new nautilus extensions dir
- according to NEWS, extensions are now stored in /usr/share/nautilus-python/extensions and should be arch-independent
- updated deps

* Sat Jan 22 2011 Elan Ruusamäe <glen@pld-linux.org> a576ac7
- unpackage devel to base

* Tue Sep 21 2010 Elan Ruusamäe <glen@pld-linux.org> f7a1f42
- release 4

* Fri Jul 09 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> fcfd9a5
- release 3

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 5943152
- release 2

* Wed Apr 28 2010 Marcin Banasiak <marcin.banasiak@gmail.com> cbbbd84
- applied upstream

* Wed Apr 28 2010 Marcin Banasiak <marcin.banasiak@gmail.com> e1666fd
- updated to 0.6.1
- removed -libpython-soname.patch (applied upstream)
- added -examples subpackage

